---
title: color-gamut
slug: Web/CSS/@media/color-gamut
tags:
  - '@media'
  - CSS
  - Media Queries
  - Reference
  - media feature
---
<div>{{cssref}}</div>

<p>The <strong><code>color-gamut</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to test the approximate range of colors that are supported by the {{glossary("user agent")}} and the output device.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>color-gamut</code> feature is specified as a keyword value chosen from the list below.</p>

<dl>
 <dt><code>srgb</code></dt>
 <dd>The output device can support approximately the <a href="https://en.wikipedia.org/wiki/SRGB">sRGB</a> gamut or more. This includes the vast majority of color displays.</dd>
 <dt><code>p3</code></dt>
 <dd>The output device can support approximately the gamut specified by the <a href="https://en.wikipedia.org/wiki/DCI-P3">DCI P3 Color Space</a> or more. The p3 gamut is larger than and includes the srgb gamut.</dd>
 <dt><code>rec2020</code></dt>
 <dd>The output device can support approximately the gamut specified by the <a href="https://en.wikipedia.org/wiki/Rec._2020">ITU-R Recommendation BT.2020 Color Space</a> or more. The rec2020 gamut is larger than and includes the p3 gamut.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;This is a test.&lt;/p&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">@media (color-gamut: srgb) {
  p {
    background: #f4ae8a;
  }
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#color-gamut', 'color-gamut')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.color-gamut")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries">Using Media Queries</a></li>
 <li><a href="/en-US/docs/Web/CSS/@media">@media</a></li>
</ul>
